--- title: "Get the Proxy Server Configuration at Domain Level" slug: "get-the-proxy-server-configuration-at-domain-level" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:36:53Z published: 2026-09-23T09:36:53Z canonical: "docs.trellix.com/get-the-proxy-server-configuration-at-domain-level" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the Proxy Server Configuration at Domain Level This URL gets the proxy server configuration at domain level. ## Resource URL GET /domain//proxyserver ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | domainId | Domain id | Number | Yes | ## Response Parameters Following fields are returned. | Field Name | Description | Data Type | | --- | --- | --- | | useDeviceListSettings | Inherit settings from parent domain | Boolean | | useProxyserver | Use proxy server configuration | Boolean | | proxyServerNameOrIPAddr | Proxy server name/IP configuration | String | | proxyPort | Proxy port configuration | Number | | userName | Username | String | | password | Password | String | ## Example **Request** GET [https:///sdkapi/domain/0/proxyserver](https://%3CNSM_IP%3E/sdkapi/domain/0/proxyserver) **Response** ``` { "useDeviceListSettings": false, "useProxyserver": false, "proxyServerNameOrIPAddr": 1.1.1.1, "proxyPort": 8443, "userName": null, "password": null     } ```   ## Error Information Following error code is returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain |